package com.kingdee.eas.custom.facade.employee;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.facade.employee.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class EmpPreEntryFacade extends AbstractBizCtrl implements IEmpPreEntryFacade
{
    public EmpPreEntryFacade()
    {
        super();
        registerInterface(IEmpPreEntryFacade.class, this);
    }
    public EmpPreEntryFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IEmpPreEntryFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("3047B16D");
    }
    private EmpPreEntryFacadeController getController() throws BOSException
    {
        return (EmpPreEntryFacadeController)getBizController();
    }
    /**
     *创建入职单-User defined method
     *@param baseDate 基准日期
     *@param empNumber 员工编码
     *@param orgNumber 组织编码
     */
    public void createEmpEnrollBizBill(String baseDate, String empNumber, String orgNumber) throws BOSException
    {
        try {
            getController().createEmpEnrollBizBill(getContext(), baseDate, empNumber, orgNumber);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}